Standalone 1.4.1c for Mac fails to run

Help for your technical issues with Slime Rancher

Standalone 1.4.1c for Mac fails to run

Postby Chuma » Sat Dec 21, 2019 6:40 am

I just got the latest update via Humble Bundle, but the game refuses to launch, "because it may be damaged or incomplete". Is there a known solution? If not, is there a way I can downgrade to an earlier version, maybe give 1.4.0 a try?

I've previously played version 1.2.1b, which works fine. HB allows me to download the latest (I assume) version, but has no options for earlier versions. I have Mac OS 10.14.6.
Chuma
Plort
 
Posts: 1
Joined: Sat Dec 21, 2019 5:28 am

Return to Technical Support

Who is online

Users browsing this forum: No registered users and 1 guest